@type: 'global';
@element: 'site';

@import (multiple) '../../theme.config';

.fairNameNumber {
  letter-spacing: -4px;
}

.background {
  position: fixed; 
  top: -50%; 
  left: -50%; 
  width: 200%; 
  height: 200%;

  img {
    position: absolute;
    z-index: -1; 
    top: 0; 
    left: 0; 
    right: 0; 
    bottom: 0; 
    margin: auto; 
    min-width: 50%;
    min-height: 50%;
  }
}

.gradient {
  position: absolute;
  top: 25%;
  left: 25%;
  width: 100%;
  height: 100%;
  background: linear-gradient(rgba(0,0,0 ,0.45) 10%,rgba(0,0,0,.9));
}

.container {
  position: relative;
  min-height: 100vh;
  color: white;
  display: flex;
  flex-direction: column;

  a {
    color: white;
  }
}

.header {
  display: flex;
  flex-direction: column;
  padding: 4vh 4vw;

  @media only screen and (max-width: @mediumScreen) {
    align-items: center;
    justify-content: center;
  }
}

.logo {

  img {
    width: 40vw;
  }

  @media only screen and (max-width: @mediumScreen) {
    padding: 5vw 4vw;
    flex: 1;

    img {
      width: 100%;
      max-width: 40vw;
    }
  }

  @media only screen and (max-width: @mediumScreen) {
    display: none;
  }
}

.languageSwitch {
  padding-top: 1rem;
}

.space {
  flex-grow: 2;
  height: 4rem;
}

.pictograms {
  padding: 0 4vw;
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  justify-content: flex-start;

  > div {
    display: inline-flex;
    align-content: center;
    flex-direction: column;
    justify-content: space-evenly;
    font-size: 1.2em;

    @media only screen and (max-width: @mediumScreen) {
      display: none;
    }
  }

  > img {
    width: 5em;
  }
}

// .main {
//   position: fixed;
//   bottom: 0;
//   padding: 4vw 5vw 4vw 5vw;
// }

.title_wrapper {
  padding: 4vh 4vw;

  &:before {
    display: block;
    width: 140px;
    height: 7px;
    background: rgba(255, 255, 255, 0.8);
    content: '';
    position: relative;
    top: 5px;
  }

  @media only screen and (max-width: @mediumScreen) {
    &:before {
      display: block;
      width: 100px;
      height: 5px;
      background: rgba(255, 255, 255, 0.8);
      content: '';
      position: relative;
      top: 2px;
    }
  }

  @media only screen and (max-width: @smallScreen) {
    margin-bottom: 30px;

    &:before {
      display: block;
      width: 80px;
      height: 5px;
      background: rgba(255, 255, 255, 0.8);
      content: '';
      position: relative;
      top: 0px;
    }
  }
}

.title {
  font-size: @titleFontSize;
  line-height: 1.2;
  margin-bottom: 0.5rem;
  font-weight: 500;
  color: white;

  @media only screen and (max-width: @smallScreen) {
    font-size: 0.6 * @titleFontSize;
  }

  &:before {
    display: none;
  }
}

.subtitle {
  font-size: @subtitleFontSize;
  line-height: 1;
  display: flex;
  flex-direction: row;
  letter-spacing: -1px;
  color: white;

  @media only screen and (max-width: @smallScreen) {
    font-size: 0.8 * @subtitleFontSize;
  }

  @media only screen and (max-width: @mediumScreen) {
    flex-direction: column;
  }
}

.place {
  margin-left: 1em;

  @media only screen and (max-width: @mediumScreen) {
    margin-left: 0;
    margin-top: 0.25em;
  }
}

.navigation {
  padding: 4vh 4vw !important;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  font-size: @subtitleFontSize;
  line-height: 1.2;

  @media only screen and (max-width: @mediumScreen) {
    flex-direction: column;
    margin: 0 0 1rem 0;
  }

  @media only screen and (max-width: @smallScreen) {
    flex-direction: column;
    margin: 0 0 0.75rem 0;
  }
}

.navigationItem {
  margin-right: 1.5em;
  margin-bottom: 0.25em;

  a {
    color: white;
    text-decoration: none;
    transition: color 0.4s ease;
  }

  &:before {
    display: block;
    width: 80px;
    height: 5px;
    background: rgba(255, 255, 255, 0.8);
    content: '';
    position: relative;
    top: -1px;
  }

  &:hover > a {
    color: rgba(255, 255, 255, 0.7);
    transition: color 0.4s ease;

    &:before {
      background: rgba(255, 255, 255, 0.7);
    }
  }
}

.description {
  font-size: 1.75rem;
  color: white;
  margin: 0;
  padding: 2vh 4vw;
  padding-top: 0;

  @media only screen and (max-width: @mediumScreen) {
    font-size: 1.25rem;
    padding: 4vh 4vw;
    padding-top: 0;
  }

  @media only screen and (max-width: @smallScreen) {
    font-size: 1rem;
    margin-top: 0.75rem;
  }
}

.business_description {
  font-size: 1.25rem;
  color: white;
  margin: 0;
  padding: 2vh 4vw;
  padding-bottom: 4vh;

  @media only screen and (max-width: @mediumScreen) {
    font-size: 0.75em;
    padding: 4vh 4vw;
    padding-top: 0;
  }
  @media only screen and (max-width: @smallScreen) {
    font-size: 0.5em;
  }
}

.sliderContainer {
  position: fixed;
  top: 2em;
  right: 0;
  z-index: 999;
  width: 11em;
  background-color: #fff;
  padding: .25em;
  padding-right: 3em;
  padding-left: .75em;
  box-shadow: rgba(0, 0, 0, 0.5) 0px 8px 24px;

  @media only screen and (max-width: @mediumScreen) {
    position: relative;
    width: 100%;
    padding: .5em;
    top: 0;
  }

  :global(.swiper-wrapper) {
    align-items: center;
    text-align: center;
  }

  :global(.swiper) {
    overflow: hidden;
  }

  img {
    width: calc(100% - 1em);
    max-height: calc(100% - 1em);

    @media only screen and (max-width: @mediumScreen) {
      width: 8em;
    }
  }
}
